body {
  background-color: #252525;
}

canvas {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

#modal-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  background-color: rgba(0, 0, 0, 0.5);
}

#modal-wrapper.modal-wrapper--closed {
  display: none;
}

#modal-submit {
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding: 0.25em;

  border: none;
  background-color:rgba(100, 180, 120, 1);
  color: white;
}
#modal-submit:hover {
  border: solid 1px white;
  background-color: rgba(100, 180, 120, 0.5);
  color: white;
}

#chat-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#chat-container {
  min-height: 108px;
  max-height: 1080px;
  width: 75vw;
  min-width: 192px;
  max-width: 1920px;

  overflow-y: auto;

  background-color: #e5e5e5;
  color: #111111;
}

#chat-input {
  min-width: 192px;
  max-width: 1920px;
  width: 75vw;

  background-color: #e5e5e5;
  color: #111111;
}

#chat-submit {
  min-width: 192px;
  max-width: 1920px;
  width: 75vw;
  height: 30px;
  background-color: #3acaea;
  color: #111111;
}

#chat-messages {
  margin: 0;
  padding: 32px;

  list-style: none;
}

.modal {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  height: 40vh;
  min-height: 108px;
  max-height: 1080px;
  width: 75vw;
  min-width: 192px;
  max-width: 1920px;

  background-color: #bfbfbf;
  color: #111111;
}

.modal__header {
  margin-bottom: 2em;

  text-align: center;
}

.modal__heading {
  color: #432054;
  font-size: 1.5rem;
}

.modal__sub-heading {
  color: #663088;
  font-size: 1.25rem;
}

.modal-form > div {
  margin: 1em auto;
}

.chat-wrapper--closed {
  height: 200px;
  width: 100%
}

.chat-wrapper--open {
  position: absolute;
  left: 10vw;
  right: 10vw;
  top: 10vh;
  bottom: 75vh;
}

.chat-message {
  margin: 8px auto;
  padding-bottom: 4px;
  border-bottom: 1px solid #aaaaaa;
}
.chat-message:first-of-type {
  margin-top: 0;
}

.character-select {
  width: 150px;
  margin: auto;

  text-align: center;
}

.character-select ul {
  padding-left: 0;
}

.character-select li {
  display: inline-block;

  list-style: none;
}

.crop-character-image {
  width: 32px;
  height: 48px;
  overflow: hidden;
}

.character-image {
  cursor: pointer;

  width: 288px;
  height: 48px;
  margin-left: -128px;
}

.character-select input[type="radio"] ~ label > div {
  opacity: 0.5;
}

.character-select input[type="radio"] ~ label > div:hover {
  opacity: 0.8;
  transform: translateY(-2px);
}


.character-select input[type="radio"]:checked ~ label > div {
  opacity: 1;

  animation: hover 1s infinite ease-in-out;
}

.character-select input[type="radio"]:checked ~ label .character-image {
  cursor: default;
}

.character-select input[type="radio"]:disabled ~ label .character-image {
  cursor: not-allowed;
  filter: grayscale(100%);
}

@keyframes hover {
  0% {
    transform: translateY(2px);
  }
  50% {
      transform: translateY(-2px);
  }
  100% {
      transform: translateY(2px);
  }
}
